# ChangeLog for mail-mta/ssmtp
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/mail-mta/ssmtp/ChangeLog,v 1.32 2006/04/02 20:59:26 flameeyes Exp $

  02 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> ssmtp-2.61.ebuild:
  Add ~x86-fbsd keyword.

  31 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> ssmtp-2.61-r1.ebuild:
  Add ~x86-fbsd keyword.

  23 Aug 2005; Fernando J. Pereda <ferdy@gentoo.org> ssmtp-2.61.ebuild,
  ssmtp-2.61-r1.ebuild:
  Use mirror://debian/ in SRC_URI

  29 Jul 2005; MATSUU Takuto <matsuu@gentoo.org> ssmtp-2.61.ebuild:
  Stable on sh.

  04 Jul 2005; Andrej Kacian <ticho@gentoo.org> ssmtp-2.61-r1.ebuild:
  Better mailer-config compatibility.

*ssmtp-2.61-r1 (25 Apr 2005)

  25 Apr 2005; Fernando J. Pereda <ferdy@gentoo.org> files/mailer.conf,
  +ssmtp-2.61-r1.ebuild:
  2.61-r1 uses the new mailer eclass

  14 Mar 2005; Hardave Riar <hardave@gentoo.org> ssmtp-2.61.ebuild:
  Stable on mips, bug #82380.

  20 Feb 2005; Aron Griffis <agriffis@gentoo.org> ssmtp-2.61.ebuild:
  stable on alpha and ia64

  17 Feb 2005; Markus Rothe <corsair@gentoo.org> ssmtp-2.61.ebuild:
  Stable on ppc64

  17 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org> ssmtp-2.61.ebuild:
  stable on amd64. see #82380

  17 Feb 2005; Michael Hanselmann <hansmi@gentoo.org> ssmtp-2.61.ebuild:
  Stable on ppc and hppa.

  17 Feb 2005; Gustavo Zacarias <gustavoz@gentoo.org> ssmtp-2.61.ebuild:
  Stable on sparc wrt #82380

  10 Feb 2005; Fernando J. Pereda <ferdy@gentoo.org> ssmtp-2.61.ebuild:
  Fix the md5auth thing. Closes #81510. Thanks to Dan Check
  <check@radicalmedia.com>

*ssmtp-2.61-r1 (10 feb 2005)

  10 feb 2005;  <>  ssmtp-2.61-r1.ebuild files/digest-ssmtp-2.61-r1
  # INSERT ENTRY HERE

  09 Feb 2005; Fernando J. Pereda <ferdy@gentoo.org> ssmtp-2.61.ebuild:
  Stable on x86

*ssmtp-2.61 (24 Jan 2005)

  24 Jan 2005; Fernando J. Pereda <ferdy@gentoo.org> +ssmtp-2.61.ebuild:
  Version bump, closes #69999. Reported by: Yani Ioannou <yani.ioannou@gmail.com>

  25 Dec 2004; Tom Martin <slarti@gentoo.org> ssmtp-2.60.9.ebuild:
  Resolve bug 47562, by commenting out hostname=_HOSTNAME_ by default,
  forcing ssmtp to determine the hostname for itself. Thanks to Sascha
  Silbe <sascha@silbe.org> for reporting.

  28 Jul 2004; Joshua Kinard <kumba@gentoo.org> ssmtp-2.60.9.ebuild:
  Marked stable on mips.

  27 Jul 2004; <agriffis@gentoo.org> ssmtp-2.60.9.ebuild:
  stable on alpha and ia64 #57553

  24 Jul 2004; Luca Barbato <lu_zero@gentoo.org> ssmtp-2.60.9.ebuild:
  Marked ppc

  21 Jul 2004; Jason Wever <weeve@gentoo.org> ssmtp-2.60.9.ebuild:
  Stable on sparc wrt bug #57553.

  21 Jul 2004; <malc@gentoo.org> ssmtp-2.60.9.ebuild:
  Mark stable on amd64

  20 Jul 2004; Grant Goodyear <g2boojum@gentoo.org> ssmtp-2.60.9.ebuild:
  Marked stable on x86.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ssmtp-2.38.14-r1.ebuild, ssmtp-2.48.ebuild, ssmtp-2.60.4-r2.ebuild,
  ssmtp-2.60.4.ebuild, ssmtp-2.60.7-r1.ebuild, ssmtp-2.60.7.ebuild,
  ssmtp-2.60.9.ebuild:
  virtual/glibc -> virtual/libc

  11 Jun 2004; Grant Goodyear <g2boojum@gentoo.org> ssmtp-2.60.7-r1.ebuild:
  Marking stable on all arch's to fix the 
  inconsistent-mailwrapper issues.

*ssmtp-2.60.9 (07 Jun 2004)

  07 Jun 2004; Aron Griffis <agriffis@gentoo.org> ssmtp-2.60.4-r2.ebuild,
  ssmtp-2.60.4.ebuild, ssmtp-2.60.7-r1.ebuild, ssmtp-2.60.7.ebuild,
  ssmtp-2.60.9.ebuild:
  Fix use invocation

  06 Jun 2004; Grant Goodyear <g2boojum@gentoo.org> :
  Version bump.  Patches no longer required.  Fixes STARTTLS before ehlo bug.

*ssmtp-2.60.7-r1 (30 May 2004)

  30 May 2004; Grant Goodyear <g2boojum@gentoo.org> ssmtp-2.60.4-r2.ebuild,
  +ssmtp-2.60.7-r1.ebuild, ssmtp-2.60.7.ebuild:
  Made mailwrapper an optional dep w/ USE=mailwrapper.
  Also fixed up which docs get installed.

*ssmtp-2.48 (30 May 2004)

  30 May 2004; Robin H. Johnson <robbat2@gentoo.org> metadata.xml,
  ssmtp-2.38.14-r1.ebuild, ssmtp-2.48.ebuild, ssmtp-2.60.4-r2.ebuild,
  ssmtp-2.60.4.ebuild, ssmtp-2.60.7.ebuild, files/mailer.conf,
  files/ssmtp-2.60.4-md5.patch, files/ssmtp-2.60.7-logfile.patch,
  files/starttls.diff:
  Moved from net-mail/ssmtp to mail-mta/ssmtp.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> ssmtp-2.60.4.ebuild:
  Add inherit eutils

  25 Apr 2004; Tom Gall <tgall@gentoo.org> ssmtp-2.60.7.ebuild:
  Stable on ppc64

  25 Apr 2004; Michael McCabe <randy@gentoo.org> ssmtp-2.60.7.ebuild:
  Marked stable on s390

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> ssmtp-2.60.7.ebuild:
  Stable on alpha and ia64

  25 Apr 2004; Brandon Hale <tseng@gentoo.org> ssmtp-2.60.7.ebuild:
  Stable on x86

  25 Apr 2004; Joshua Kinard <kumba@gentoo.org> ssmtp-2.60.7.ebuild:
  Marked stable on mips.

  24 Apr 2004; Jason Wever <weeve@gentoo.org> ssmtp-2.60.7.ebuild:
  Stable on sparc wrt bug #47918.

  24 Apr 2004; Luca Barbato <lu_zero@gentoo.org> ssmtp-2.60.7.ebuild:
  Marked ppc

  23 Apr 2004; Bryan Østergaard <kloeri@gentoo.org> ssmtp-2.60.7.ebuild:
  Stable on alpha.

  23 Apr 2004; Travis Tilley <lv@gentoo.org> ssmtp-2.60.7.ebuild:
  marked stable on amd64. see bug #47918 for more information

*ssmtp-2.60.7 (23 Apr 2004)

  23 Apr 2004; <solar@gentoo.org> ssmtp-2.60.7.ebuild:
  Format String Vulnerabilities. security bug #47918 + Fix broken/insecure
  logfile handling bug #48435

*ssmtp-2.60.4-r2 (13 Apr 2004)

  13 Apr 2004; Grant Goodyear <g2boojum@hotmail.com> ssmtp-2.60.4-r1.ebuild,
  ssmtp-2.60.4-r2.ebuild, files/mailer.conf:
  New revision that installs a mailer.conf file w/ send-mail defined.
  Closes bug 47714.

  01 Apr 2004; <randy@gentoo.org> ssmtp-2.60.4-r1.ebuild:
  adding s390 to keywords

  17 Mar 2004; Grant Goodyear <g2boojum@hotmail.com> ssmtp-2.60.4-r1.ebuild:
  Put /usr/lib/sendmail symlink back in.

  17 Mar 2004; Grant Goodyear <g2boojum@hotmail.com> ssmtp-2.60.4-r1.ebuild:
  Fixed missing 'inherit eutils'; thanks iggy!

*ssmtp-2.60.4-r1 (17 Mar 2004)

  17 Mar 2004; Grant Goodyear <g2boojum@hotmail.com> ssmtp-2.60.4-r1.ebuild,
  files/mailer.conf:
  New revision that uses mailwrapper.

  14 Mar 2004; Tom Gall <tgall@gentoo.org> ssmtp-2.60.4.ebuild:
  mark ppc64 stable

  29 Sep 2003; Marius Mauch <genone@gentoo.org> ssmtp-2.60.4.ebuild,
  files/ssmtp-2.60.4-md5.patch:
  Added a patch so 2.60.4 compiles with USE=md5sum. thaThanks to Brandy for
  fixing bug 25732.

*ssmtp-2.60.4 (19 Sep 2003)

  19 Sep 2003; Daniel Ahlberg <aliz@gentoo.org> ssmtp-2.60.4.ebuild:
  Version bump

  09 Jul 2003; Nick Hadaway <raker@gentoo.org> ssmtp-2.60.3.ebuild:
  Removed the auto ssl enable config generation.  See bug #22658

*ssmtp-2.60.3 (09 Jun 2003)

  15 Jun 2003; Joshua Kinard <kumba@gentoo.org> :
  Fixed Security Volation -- starttls.diff missing from Manifest
  Added local USE Flag "md5sum" since the previous "md5" was not a valid USE flag

  14 Jun 2003; Nick Hadaway <raker@gentoo.org> ssmtp-2.60.3.ebuild:
  Added some code so the config file has TLS enabled is ssl is in USE.
  Thanks to ferdy again for this ebuild improvement.  Moved pkg_config()
  code to pkg_postinst()

  09 Jun 2003; Nick Hadaway <raker@gentoo.org> ssmtp-2.60.3.ebuild,
  files/digest-ssmtp-2.60.3, files/starttls.diff:
  Version bump.  Major features added upstream and included in the
  ebuild.  Many thanks to ferdy@ferdyx.org for the updates.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

  12 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

*ssmtp-2.48 (02 Feb 2003)

  25 Jul 2003; Guy Lartin <gmsoft@gentoo.org> ssmtp-2.48.ebuild :
  Marked stable on hppa.

  18 Apr 2003; Jan Seidel <tuxus@gentoo.org> ssmtp-2.48.ebuild :
  Added mips to keywords.

  04 Apr 2003; Jason Wever <weeve@gentoo.org> ssmtp-2.48.ebuild:
  Changed ~sparc keyword to sparc.

  25 Mar 2003; Graham Forest <vladimir@gentoo.org> ssmtp-2.48.ebuild:
  Marked stable on ppc

  09 Mar 2003; Aron Griffis <agriffis@gentoo.org> ssmtp-2.48.ebuild:
  Mark stable on alpha

  02 Feb 2003; Nick Hadaway <raker@gentoo.org> ssmtp-2.48.ebuild,
  files/digest-ssmtp-2.48 :
  Version bump.  Thanks to Matsuu Takuto on bug #14726 for the heads up.
  Added a doc which explains a little bit about the new TLS support

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*ssmtp-2.38.14-r1 (1 Feb 2002)

  05 Sep 2002; Nick Hadaway <raker@gentoo.org> ssmtp-2.38.14-r1.ebuild :
  Removed symlink.  See bug #7448.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
